Bug 122945 - X windows fails to start
X windows fails to start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 13:29 EDT by Francisco Guerrero
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 22:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Guerrero 2004-05-10 13:29:16 EDT
Description of problem:
The Fedora installation in a new system  runs without problems. 
However after booting the first time, the X server fails to start. 

Version-Release number of selected component (if applicable):
FC2_test3_x86_64 from April 21, 2004

How reproducible:
every time

Steps to Reproduce:
1. reboot
2. xwindows fails to start
3. line prompt available
  
Actual results:
line prompt only

Expected results:
X windows environment

Additional info:

SK8N mothernboard, ASUS Radeon 9600 XT Graphics card. Fedora 
installation was done from scratch.
After loading /usr/X11R6/lib64/modules/linux/libint10.a,
(II) VESA (0) initializing int10
(II) VESA (0): Primary V_BIOS segment is: 0xc000
00fe:014d: F1 ILLEGAL X86 OPCODE!
(II) VESA (0): VESA BIOS not detected
 appears, then vesa, int10, libint10.a, vbe and libvbe.a are 
downloaded.
(EE) Screen(s) found, but none have a usable configuration.

Questions:

1.A good graphical interface was available during installation. Is 
there a way to run only with the general VESA driver? How to define 
it? Where?

2.Is there a way to track where the 'illegal code' comes from?
Comment 1 Mike A. Harris 2004-09-21 05:03:23 EDT
Radeon 9600XT is supported by X.Org X11 6.8.0 in Fedora Core
development.   This also requires the "hwdata" package from
FC devel in order to work with the config tools correctly.

>(II) VESA (0): Primary V_BIOS segment is: 0xc000
>00fe:014d: F1 ILLEGAL X86 OPCODE!

This error indicates that your video BIOS contains illegal
microprocessor instructions.  You've filed this bug report
against "All" platforms, however I can see that you are using
"AMD64" architecture aka. "x86_64" from the "lib64" line above.
This indicates that the video BIOS is being ran inside the
x86emu emulator which is part of the X server on non-x86
architecture, and is required in order to run the video BIOS.
While Intel CPUs have many undocumented opcodes, CPU emulators
do not necessarily emulate the undocumented opcodes.  This is
essentially a bug in your video BIOS.

Please upgrade to the "Fedora Core 3 test2" beta release and if the
problem persists, please file a bug report in the X.Org bugzilla
located at http://bugs.freedesktop.org in the "xorg" component.
The maintainer of the x86emu emulator used inside the X server,
might be able to extend the emulator to handle this illegal
opcode.

Once you have filed a bug report to the X.Org bugzilla above, if
you would like Red Hat to track the issue, please paste the bug
report URL here and we will review the issue in the X.Org bugzilla
from time to time, and if an updated x86emu fix is made available,
we will review it for consideration in future updates.

Setting status to "NEEDINFO" awaiting X.Org bug report URL for
tracking.

Thanks for your report.
Comment 2 Mike A. Harris 2005-02-07 22:10:47 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.